DTEDFrameColorTable (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.dted
Class DTEDFrameColorTable

    java.lang.Object
      com.bbn.openmap.layer.dted.DTEDFrameColorTable

    public class DTEDFrameColorTable

extends java.lang.Object

Creates the colors used for displaying the DTED images. The default mode is to use greyscale colors.

Field Summary
`int` | `adjustment` adjustment is set up for values between 1-5.
`protected java.awt.Color[]` | `ccolors` The colored colortable.
`java.awt.Color[]` | `colors` the colors in use right now.
`static int` | `DEFAULT_OPAQUENESS`
`static int` | `DTED_COLORS`
`protected java.awt.Color[]` | `gcolors` The greyscale colortable.
`protected boolean` | `greyScale` Flag to indicate which colortable to use - color or greys.
`static int` | `NUM_ELEVATION_COLORS`
`protected int` | `opaqueness` opaqueness should be a value between 0 (clear) and 255 (opaque)

Constructor Summary
`DTEDFrameColorTable()` Default setting is 216 colors, and greyscale.
`DTEDFrameColorTable(DTEDFrameColorTable cTable)`
`DTEDFrameColorTable(int num_colors)`
`DTEDFrameColorTable(int num_colors, int opaque, boolean greyscale)`

Method Summary
`int` | `colorValue(int color_index)`
`protected java.awt.Color[]` | `createColors(int num_colors, int adjustment)`
`protected java.awt.Color[]` | `createGreyScaleColors(int num_colors)`
`java.awt.Color[]` | `getCColors()`
`java.awt.Color[]` | `getGColors()`
`boolean` | `getGreyScale()`
`int` | `getOpaqueness()`
`static void` | `main(java.lang.String[] args)`
`int` | `numColors()`
`void` | `setGreyScale(boolean greyscale)`
`void` | `setOpaqueness(int opaque)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DTED_COLORS

    public static final int DTED_COLORS

See Also:
  Constant Field Values

### NUM_ELEVATION_COLORS

    public static final int NUM_ELEVATION_COLORS

See Also:
  Constant Field Values

### DEFAULT_OPAQUENESS

    public static final int DEFAULT_OPAQUENESS

See Also:
  Constant Field Values

### colors

    public java.awt.Color[] colors

  the colors in use right now.

### ccolors

    protected java.awt.Color[] ccolors

  The colored colortable.

### gcolors

    protected java.awt.Color[] gcolors

  The greyscale colortable.

### opaqueness

    protected int opaqueness

  opaqueness should be a value between 0 (clear) and 255 (opaque)

### greyScale

    protected boolean greyScale

  Flag to indicate which colortable to use - color or greys.

### adjustment

    public int adjustment

  adjustment is set up for values between 1-5.

Constructor Detail

### DTEDFrameColorTable

    public DTEDFrameColorTable()

  Default setting is 216 colors, and greyscale.

### DTEDFrameColorTable

    public DTEDFrameColorTable(int num_colors)

### DTEDFrameColorTable

    public DTEDFrameColorTable(int num_colors,
                               int opaque,
                               boolean greyscale)

### DTEDFrameColorTable

    public DTEDFrameColorTable(DTEDFrameColorTable cTable)

Method Detail

### getOpaqueness

    public int getOpaqueness()

### setOpaqueness

    public void setOpaqueness(int opaque)

### getCColors

    public java.awt.Color[] getCColors()

### getGColors

    public java.awt.Color[] getGColors()

### setGreyScale

    public void setGreyScale(boolean greyscale)

### getGreyScale

    public boolean getGreyScale()

### numColors

    public int numColors()

### colorValue

    public int colorValue(int color_index)

### createGreyScaleColors

    protected java.awt.Color[] createGreyScaleColors(int num_colors)

### createColors

    protected java.awt.Color[] createColors(int num_colors,
                                            int adjustment)

### main

    public static void main(java.lang.String[] args)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details